#define XERR "sshcron"
#include "sshcron.ih"

    // by ./main.cc

void SSHCron::run()
{
    if (d_options.cronCmd())            // list, reload, terminate:
        toCron();                       // handles commands to the daemon
    else 
    {
        getPassphrase();

        if (d_options.foreground())
            foreground();                   // calls Cron::childProcess
        else
            daemon();                       // Cron runs as daemon
    }
}
